For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

getblockcount

Returns the height of the most-work fully validated chain. This method uses 80 credits from your daily balance.

The genesis block has height 0.

Parameters​

None

Returns​

result: (integer) - Current block height.

Request​

curl https://bitcoin-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": 1, "method": "getblockcount", "params": []}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": 971402
}